Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class TemporaryMethodKey

- org.codehaus.groovy.runtime.metaclass.TemporaryMethodKey

- A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemporaryMethodKey (Class sender, String name, Object[] parameterValues, boolean isCallToSuper)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getParameterCount()`
    `` | `Class` | `getParameterType(int index)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodKey` | `createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)

  - ### Method Detail

    - #### public int getParameterCount()

    - #### public Class getParameterType(int index)